<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{554BAE5F-D85A-461F-8272-2A7F24A65DE0}</ProjectGuid>
    <ProjectTypeGuids>{603c0e0b-db56-11dc-be95-000d561079b0};{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Wierszowki</RootNamespace>
    <AssemblyName>Wierszowki</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <MvcBuildViews>false</MvcBuildViews>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MvcContrib, Version=1.0.0.916, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\MvcContrib.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Web.Mvc, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.Web.Abstractions" />
    <Reference Include="System.Web.Routing" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="System.Web.Mobile" />
    <Reference Include="xVal, Version=0.8.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\xVal.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Controllers\AccountController.cs" />
    <Compile Include="Controllers\AuthorController.cs" />
    <Compile Include="Controllers\HomeController.cs" />
    <Compile Include="Controllers\MagazineController.cs" />
    <Compile Include="Controllers\MagazineItemController.cs" />
    <Compile Include="Controllers\ReportController.cs" />
    <Compile Include="Helpers\SelectExtension.cs" />
    <Compile Include="Models\AuthorCardViewData.cs" />
    <Compile Include="Models\FormsAuthenticationService.cs" />
    <Compile Include="Models\Interfaces\IFormsAuthentication.cs" />
    <Compile Include="Controllers\UserController.cs" />
    <Compile Include="Default.aspx.cs">
      <DependentUpon>Default.aspx</DependentUpon>
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="Global.asax.cs">
      <DependentUpon>Global.asax</DependentUpon>
    </Compile>
    <Compile Include="Models\AuthorViewData.cs" />
    <Compile Include="Models\MagazineItemViewData.cs" />
    <Compile Include="Models\ReportViewData.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Content\print.css" />
    <Content Include="Content\datePicker.css" />
    <Content Include="Default.aspx" />
    <Content Include="Global.asax" />
    <Content Include="Scripts\date.js" />
    <Content Include="Scripts\jHelper.js" />
    <Content Include="Scripts\jquery-1.3.1-vsdoc.js" />
    <Content Include="Scripts\jquery-1.3.1.js" />
    <Content Include="Scripts\jquery-1.3.1.min-vsdoc.js" />
    <Content Include="Scripts\jquery-1.3.1.min.js" />
    <Content Include="Scripts\jquery.blockUI.js" />
    <Content Include="Scripts\jquery.datePicker.js" />
    <Content Include="Scripts\jquery.form.js" />
    <Content Include="Scripts\spiffy.js" />
    <Content Include="Views\Account\Login.aspx" />
    <Content Include="Views\Author\Confirm.aspx" />
    <Content Include="Views\Author\Create.aspx" />
    <Content Include="Views\Author\Edit.aspx" />
    <Content Include="Views\Author\Index.aspx" />
    <Content Include="Views\MagazineItem\Confirm.aspx" />
    <Content Include="Views\MagazineItem\Edit.aspx" />
    <Content Include="Views\MagazineItem\Create.aspx" />
    <Content Include="Views\Report\AuthorCard.aspx" />
    <Content Include="Views\Report\AuthorCardNotFound.aspx" />
    <Content Include="Views\Report\Authors.aspx" />
    <Content Include="Views\Report\AuthorsByMagazines.aspx" />
    <Content Include="Views\Report\Show.aspx" />
    <Content Include="Views\Report\All.aspx" />
    <Content Include="Views\Report\Index.aspx" />
    <Content Include="Views\User\Confirm.aspx" />
    <Content Include="Views\User\Create.aspx" />
    <Content Include="Views\User\Edit.aspx" />
    <Content Include="Views\User\Index.aspx" />
    <Content Include="Web.config" />
    <Content Include="Content\Site.css" />
    <Content Include="Scripts\MicrosoftAjax.js" />
    <Content Include="Scripts\MicrosoftAjax.debug.js" />
    <Content Include="Scripts\MicrosoftMvcAjax.js" />
    <Content Include="Scripts\MicrosoftMvcAjax.debug.js" />
    <Content Include="Views\Home\About.aspx" />
    <Content Include="Views\Home\Index.aspx" />
    <Content Include="Views\Shared\Error.aspx" />
    <Content Include="Views\Shared\LogOnUserControl.ascx" />
    <Content Include="Views\Shared\Site.Master" />
    <Content Include="Views\Web.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Wierszowki.Model\Wierszowki.Core.csproj">
      <Project>{6989D678-D858-43CD-9B15-107DA97341DC}</Project>
      <Name>Wierszowki.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\Wierszowki.Services\Wierszowki.Services.csproj">
      <Project>{8CCEDDCE-539F-4E58-B3CB-A8030F1F5CBC}</Project>
      <Name>Wierszowki.Services</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="App_Data\" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v9.0\WebApplications\Microsoft.WebApplication.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target> -->
  <Target Name="AfterBuild" Condition="'$(MvcBuildViews)'=='true'">
    <AspNetCompiler VirtualPath="temp" PhysicalPath="$(ProjectDir)\..\$(ProjectName)" />
  </Target>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>False</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>1413</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>
          </IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
</Project>